GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "2a396fd5-da7d-431d-86cd-26434c97efc0",
"selected_nameplate_id": "7802033d-7a1d-4bcc-bcc9-de5d4dc5f0fa",
"active": true,
"contract_id": "3766c55e-b3de-4bb2-975a-383ff1218e8e",
"id": "277a1f30-73b8-420b-a851-769c588ea6a7",
"physical_item_id": "fd514b23-5aff-4034-901f-4672489aaba3",
"service_item_id": "f93282be-e7ba-418c-bd2f-b66e1099268a",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>3766c55e-b3de-4bb2-975a-383ff1218e8e</contract_id>
<id>277a1f30-73b8-420b-a851-769c588ea6a7</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>fd514b23-5aff-4034-901f-4672489aaba3</physical_item_id>
<quantity>1</quantity>
<service_item_id>f93282be-e7ba-418c-bd2f-b66e1099268a</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>7802033d-7a1d-4bcc-bcc9-de5d4dc5f0fa</selected_nameplate_id>
<selected_sticker_id>2a396fd5-da7d-431d-86cd-26434c97efc0</selected_sticker_id>
</contract_item>